> ## Documentation Index
> Fetch the complete documentation index at: https://docs.capout.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Document Status

> Get the current processing status of a document (one-shot poll).



## OpenAPI

````yaml /openapi.json get /status/{document_id}
openapi: 3.1.0
info:
  title: Capout API
  description: >-
    Programmatic REST, WebSocket, and SSE API for uploading documents, tracking
    processing status, and reading claim balances.
  version: 1.0.0
servers:
  - url: https://api.capout.ai
    description: Public API
security: []
paths:
  /status/{document_id}:
    get:
      tags:
        - Status
      summary: Get Document Status
      description: Get the current processing status of a document (one-shot poll).
      operationId: get_document_status_status__document_id__get
      parameters:
        - name: document_id
          in: path
          required: true
          schema:
            type: string
            title: Document Id
        - name: capout-api-key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Capout-Api-Key
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DocumentStatusResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    DocumentStatusResponse:
      properties:
        document_id:
          type: string
          title: Document Id
        status:
          type: string
          title: Status
        terminal:
          type: boolean
          title: Terminal
          default: false
        progress:
          anyOf:
            - $ref: '#/components/schemas/DocumentProgress'
            - type: 'null'
        workflow_complete:
          type: boolean
          title: Workflow Complete
          default: false
        file_name:
          anyOf:
            - type: string
            - type: 'null'
          title: File Name
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
        export:
          anyOf:
            - $ref: '#/components/schemas/DocumentExportResponse'
            - type: 'null'
        completed_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Completed At
        updated_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Updated At
      type: object
      required:
        - document_id
        - status
      title: DocumentStatusResponse
      description: Response body for GET /status/{document_id}.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    DocumentProgress:
      properties:
        ocr:
          anyOf:
            - type: string
            - type: 'null'
          title: Ocr
        structure:
          anyOf:
            - type: string
            - type: 'null'
          title: Structure
        actions:
          anyOf:
            - type: string
            - type: 'null'
          title: Actions
        trades:
          anyOf:
            - type: string
            - type: 'null'
          title: Trades
        categories:
          anyOf:
            - type: string
            - type: 'null'
          title: Categories
      type: object
      title: DocumentProgress
    DocumentExportResponse:
      properties:
        workflow_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Workflow Id
        status:
          anyOf:
            - type: string
            - type: 'null'
          title: Status
        claims_used:
          anyOf:
            - type: integer
            - type: 'null'
          title: Claims Used
        line_item_count:
          anyOf:
            - type: integer
            - type: 'null'
          title: Line Item Count
        exported_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Exported At
      type: object
      title: DocumentExportResponse
      description: Export state attached to a document status response.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````